%define name 	lives
%define version 0.9.5
%define release 0.pre4.2mdk

Summary: 	Linux Video Editing System
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	http://www.xs4all.nl/~salsaman/lives/current/LiVES-%version-pre4.tar.bz2
Source1:	%name-16.png
Source2:	%name-32.png
Source3:	%name-48.png
URL: 		http://www.xs4all.nl/~salsaman/lives
License: 	GPL
Group: 		Video
BuildRoot:      %{_tmppath}/%{name}-buildroot
BuildRequires: 	gtk2-devel
BuildRequires:	bison
BuildRequires:  ImageMagick libmjpegtools-devel SDL-devel
Requires:	xmms mplayer mencoder sox ImageMagick 
Requires:	cdrecord-cdda2wav ffmpeg

%if %mdkversion > 1019
BuildRequires:	libvisual-devel >= 0.1.7
Requires:	libvisual-plugins
%endif

%description
The Linux Video Editing System (LiVES) is intended to be a simple yet powerful
video effects and editing system.  It uses common tools for most of its work
(mplayer, ImageMagick, GTK+, sox).

%prep
%setup -n lives-%version-pre4 -q
perl -p -i -e 's|"/usr/local/"|&get_home_dir||g' smogrify
perl -pi -e 's/python2.3/python/' $(grep -l  -r -i bin/python2 . )

%build
%configure2_5x
%make

%install
rm -fr $RPM_BUILD_ROOT
%makeinstall
rm -fr $RPM_BUILD_ROOT/%_docdir/LiVES-%version
%find_lang lives
cp smogrify midistart midistop $RPM_BUILD_ROOT/%_bindir
cd $RPM_BUILD_ROOT/%_datadir/%name/themes
rm -fr `find -name '.xvpics'`
cd $RPM_BUILD_ROOT/%_bindir
rm -fr lives
ln -s lives-exe lives
rm -fr $RPM_BUILD_ROOT/%_docdir

# menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
(cd $RPM_BUILD_ROOT
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\
needs="x11"\
section="Multimedia/Video"\
title="LiVES"\
longtitle="GTK2 Video Editing System"\
command="lives-exe"\
icon="%name.png"
EOF
)

# icons
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
cp %SOURCE1 $RPM_BUILD_ROOT/%_miconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
cp %SOURCE2 $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
cp %SOURCE3 $RPM_BUILD_ROOT/%_liconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post 
%{update_menus}

%postun 
%{clean_menus}

%files -f lives.lang
%defattr(-,root,root,0755)
%doc AUTHORS BUGS C* FEATURES GETTING* NEWS README*
%doc OMC/*.txt RFX/*
%_bindir/*
%_datadir/%name
%_menudir/%name
%_iconsdir/%name.png
%_liconsdir/%name.png
%_miconsdir/%name.png

%changelog
* Sat Aug 13 2005 Götz Waschk <waschk@mandriva.org> 0.9.5-0.pre4.2mdk
- rebuild for new mjpegtools

* Wed Jul 27 2005 Austin Acton <austin@mandriva.org> 0.9.5-0.pre4.1mdk
- 0.9.5pre4

* Mon Apr 18 2005 Austin Acton <austin@mandriva.org> 0.9.5-0.pre3.1mdk
- 0.9.5pre3

* Sat Mar 27 2005 Austin Acton <austin@mandrake.org> 0.9.5-0.pre2.2.1mdk
- 0.9.5pre2.2

* Tue Jan 25 2005 Austin Acton <austin@mandrake.org> 0.9.5-0.pre1-1mdk
- 0.9.5pre1

* Wed Jan 12 2005 Michael Scherer <misc@mandrake.org> 0.9.1-3mdk
- Rebuild to remove deps on python2.3, thanks to Fabien Illide

* Sat Dec 11 2004 Austin Acton <austin@mandrake.org> 0.9.1-2mdk
- tidy spec
- add missing doc files and icons (thanks to author)
- buildrequires bison and SDL/mjpegtools-devel
- build with libvisual support on post-10.1
- use ~ as default load/save dir

* Wed Dec 8 2004 Austin Acton <austin@mandrake.org> 0.9.1-1mdk
- 0.9.1
- configure 2.5
- source URL

* Wed Aug 18 2004 Austin Acton <austin@mandrake.org> 0.9.1-0.pre5.2mdk
- fix plugins location

* Wed Aug 18 2004 Austin Acton <austin@mandrake.org> 0.9.1-0.pre5.1mdk
- 0.9.1pre5

* Wed Aug 4 2004 Austin Acton <austin@mandrake.org> 0.9.1-0.pre4.1mdk
- 0.9.1pre4

* Sun Jul 25 2004 Austin Acton <austin@mandrake.org> 0.9.1-0.pre3.1mdk
- 0.9.1pre3

* Tue May 4 2004 Austin Acton <austin@mandrake.org> 0.9.0-0.pre1.1mdk
- 0.9.0pre1

* Thu Apr 1 2004 Austin Acton <austin@mandrake.org> 0.8.5-1mdk
- 0.8.5

* Sat Dec 6 2003 Austin Acton <austin@linux.ca> 0.8.1-4mdk
- grrr, cdrecord-cdda2wav

* Mon Dec 1 2003 Austin Acton <austin@linux.ca> 0.8.1-3mdk
- requires ffmpeg and cdda2wav

* Mon Dec 1 2003 Austin Acton <austin@linux.ca> 0.8.1-2mdk
- update themes, use included tarball
- add symlink
- remove hidden files

* Wed Nov 26 2003 Austin Acton <austin@linux.ca> 0.8.1-1mdk
- 0.8.1

* Mon Sep 8 2003 Austin Acton <aacton@yorku.ca> 0.7.5-2mdk
- make sure plugins get installed (Olivier Blin)
- fix buildrequires

* Fri Sep 5 2003 Austin Acton <aacton@yorku.ca> 0.7.5-1mdk
- 0.7.5

* Mon Aug 18 2003 Austin Acton <aacton@yorku.ca> 0.7.1-1mdk
- 0.7.1
- add themes
- update description

* Thu Jun 26 2003 Austin Acton <aacton@yorku.ca> 0.6.5-1mdk
- 0.6.5

* Mon Jun 23 2003 Austin Acton <aacton@yorku.ca> 0.6.0-1mdk
- 0.6.0

* Fri May 30 2003 Austin Acton <aacton@yorku.ca> 0.5.5-1mdk
- 0.5.5
- update description

* Sat Apr 26 2003 Austin Acton <aacton@yorku.ca> 0.5.0-1mdk
- 0.5.0
- relink automake tools

* Tue Feb 18 2003 Austin Acton <aacton@yorku.ca> 0.4.5-1mdk
- 0.4.5

* Mon Jan 27 2003 Austin Acton <aacton@yorku.ca> 0.4.0-1mdk
- bump version

* Wed Jan 15 2003 Austin Acton <aacton@yorku.ca> 0.3.6-1mdk
- 0.3.6

* Wed Jan 08 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.3.0-1mdk
- from Austin Acton <aacton@yorku.ca> :
	- initial package
